geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMO-5023) jaxws spec jar has wrong version number for its package exports.
Date Tue, 12 Jan 2010 14:33:54 GMT

    [ https://issues.apache.org/jira/browse/GERONIMO-5023?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12799212#action_12799212
] 

Daniel Kulp commented on GERONIMO-5023:
---------------------------------------


IMO, the osgi stuff should be removed from the geronimo specs jaxws jars as the resulting
bundles are not usable in OSGi due to the SPI provider lookup mechanism.   

ServiceMix has had to rebundle the jaxws-api jar (and a couple others) with a different lookup
mechanism that is compatible with OSGi.   I would recommend either:

1) Using the ServiceMix versions
2) Merge the ServiceMix changes into the geronimo-specs versions to actually make them usable.



> jaxws spec jar has wrong version number for its package exports.  
> ------------------------------------------------------------------
>
>                 Key: GERONIMO-5023
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-5023
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>            Reporter: Rick McGuire
>            Priority: Critical
>
> The current version of the geronimo-jaxws_2.1_spec jar implements the 2.1.1 version of
the APIs but the package exports are for the 2.1 release.  This is causing a problems for
OSGi projects that wish to use this API (e.g., the OSGi RFC 66 reference implementation).


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message